// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Ide.CodeTemplates {
    
    
    internal partial class CodeTemplatePanelWidget {
        
        private Gtk.VBox vbox13;
        
        private Gtk.Table table2;
        
        private Gtk.Label extensionLabel;
        
        private Gtk.ComboBox groupCombo;
        
        private Gtk.HBox hbox8;
        
        private Gtk.Button addGroupButton;
        
        private Gtk.Button editGroupButton;
        
        private Gtk.Button removeGroupButton;
        
        private Gtk.HBox hbox9;
        
        private Gtk.ScrolledWindow scrolledwindow3;
        
        private Gtk.TreeView templateListView;
        
        private Gtk.VBox vbox14;
        
        private Gtk.Button addButton;
        
        private Gtk.Button editButton;
        
        private Gtk.Button removeButton;
        
        private Gtk.ScrolledWindow scrolledwindow4;
        
        private Gtk.TextView templateTextView;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Ide.CodeTemplates.CodeTemplatePanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.Ide.CodeTemplates.CodeTemplatePanelWidget";
            // Container child MonoDevelop.Ide.CodeTemplates.CodeTemplatePanelWidget.Gtk.Container+ContainerChild
            this.vbox13 = new Gtk.VBox();
            this.vbox13.Name = "vbox13";
            this.vbox13.Spacing = 6;
            // Container child vbox13.Gtk.Box+BoxChild
            this.table2 = new Gtk.Table(((uint)(2)), ((uint)(2)), false);
            this.table2.Name = "table2";
            this.table2.RowSpacing = ((uint)(6));
            this.table2.ColumnSpacing = ((uint)(6));
            // Container child table2.Gtk.Table+TableChild
            this.extensionLabel = new Gtk.Label();
            this.extensionLabel.Name = "extensionLabel";
            this.extensionLabel.Xalign = 0F;
            this.extensionLabel.LabelProp = Mono.Unix.Catalog.GetString("Extension");
            this.extensionLabel.UseUnderline = true;
            this.table2.Add(this.extensionLabel);
            Gtk.Table.TableChild w1 = ((Gtk.Table.TableChild)(this.table2[this.extensionLabel]));
            w1.XOptions = ((Gtk.AttachOptions)(4));
            w1.YOptions = ((Gtk.AttachOptions)(0));
            // Container child table2.Gtk.Table+TableChild
            this.groupCombo = new Gtk.ComboBox();
            this.groupCombo.Name = "groupCombo";
            this.table2.Add(this.groupCombo);
            Gtk.Table.TableChild w2 = ((Gtk.Table.TableChild)(this.table2[this.groupCombo]));
            w2.LeftAttach = ((uint)(1));
            w2.RightAttach = ((uint)(2));
            w2.XOptions = ((Gtk.AttachOptions)(4));
            w2.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table2.Gtk.Table+TableChild
            this.hbox8 = new Gtk.HBox();
            this.hbox8.Name = "hbox8";
            this.hbox8.Spacing = 6;
            // Container child hbox8.Gtk.Box+BoxChild
            this.addGroupButton = new Gtk.Button();
            this.addGroupButton.Name = "addGroupButton";
            this.addGroupButton.UseUnderline = true;
            this.addGroupButton.Label = Mono.Unix.Catalog.GetString("Add Group");
            this.hbox8.Add(this.addGroupButton);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox8[this.addGroupButton]));
            w3.Position = 0;
            w3.Expand = false;
            w3.Fill = false;
            // Container child hbox8.Gtk.Box+BoxChild
            this.editGroupButton = new Gtk.Button();
            this.editGroupButton.Name = "editGroupButton";
            this.editGroupButton.UseUnderline = true;
            this.editGroupButton.Label = Mono.Unix.Catalog.GetString("Edit Group");
            this.hbox8.Add(this.editGroupButton);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.hbox8[this.editGroupButton]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            // Container child hbox8.Gtk.Box+BoxChild
            this.removeGroupButton = new Gtk.Button();
            this.removeGroupButton.Name = "removeGroupButton";
            this.removeGroupButton.UseUnderline = true;
            this.removeGroupButton.Label = Mono.Unix.Catalog.GetString("Remove Group");
            this.hbox8.Add(this.removeGroupButton);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.hbox8[this.removeGroupButton]));
            w5.Position = 2;
            w5.Expand = false;
            w5.Fill = false;
            this.table2.Add(this.hbox8);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.table2[this.hbox8]));
            w6.TopAttach = ((uint)(1));
            w6.BottomAttach = ((uint)(2));
            w6.LeftAttach = ((uint)(1));
            w6.RightAttach = ((uint)(2));
            w6.XOptions = ((Gtk.AttachOptions)(4));
            this.vbox13.Add(this.table2);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.vbox13[this.table2]));
            w7.Position = 0;
            w7.Expand = false;
            // Container child vbox13.Gtk.Box+BoxChild
            this.hbox9 = new Gtk.HBox();
            this.hbox9.Name = "hbox9";
            this.hbox9.Spacing = 6;
            // Container child hbox9.Gtk.Box+BoxChild
            this.scrolledwindow3 = new Gtk.ScrolledWindow();
            this.scrolledwindow3.Name = "scrolledwindow3";
            this.scrolledwindow3.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow3.Gtk.Container+ContainerChild
            this.templateListView = new Gtk.TreeView();
            this.templateListView.Name = "templateListView";
            this.scrolledwindow3.Add(this.templateListView);
            this.hbox9.Add(this.scrolledwindow3);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.hbox9[this.scrolledwindow3]));
            w9.Position = 0;
            // Container child hbox9.Gtk.Box+BoxChild
            this.vbox14 = new Gtk.VBox();
            this.vbox14.Name = "vbox14";
            this.vbox14.Spacing = 6;
            // Container child vbox14.Gtk.Box+BoxChild
            this.addButton = new Gtk.Button();
            this.addButton.Name = "addButton";
            this.addButton.UseStock = true;
            this.addButton.UseUnderline = true;
            this.addButton.Label = "gtk-add";
            this.vbox14.Add(this.addButton);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.vbox14[this.addButton]));
            w10.Position = 0;
            w10.Expand = false;
            w10.Fill = false;
            // Container child vbox14.Gtk.Box+BoxChild
            this.editButton = new Gtk.Button();
            this.editButton.Name = "editButton";
            this.editButton.UseStock = true;
            this.editButton.UseUnderline = true;
            this.editButton.Label = "gtk-edit";
            this.vbox14.Add(this.editButton);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.vbox14[this.editButton]));
            w11.Position = 1;
            w11.Expand = false;
            w11.Fill = false;
            // Container child vbox14.Gtk.Box+BoxChild
            this.removeButton = new Gtk.Button();
            this.removeButton.Name = "removeButton";
            this.removeButton.UseStock = true;
            this.removeButton.UseUnderline = true;
            this.removeButton.Label = "gtk-remove";
            this.vbox14.Add(this.removeButton);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox14[this.removeButton]));
            w12.Position = 2;
            w12.Expand = false;
            w12.Fill = false;
            this.hbox9.Add(this.vbox14);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.hbox9[this.vbox14]));
            w13.Position = 1;
            w13.Expand = false;
            this.vbox13.Add(this.hbox9);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.vbox13[this.hbox9]));
            w14.Position = 1;
            // Container child vbox13.Gtk.Box+BoxChild
            this.scrolledwindow4 = new Gtk.ScrolledWindow();
            this.scrolledwindow4.Name = "scrolledwindow4";
            this.scrolledwindow4.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow4.Gtk.Container+ContainerChild
            this.templateTextView = new Gtk.TextView();
            this.templateTextView.Name = "templateTextView";
            this.scrolledwindow4.Add(this.templateTextView);
            this.vbox13.Add(this.scrolledwindow4);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.vbox13[this.scrolledwindow4]));
            w16.Position = 2;
            this.Add(this.vbox13);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
